Bug 241476 - Review Request: ocaml-pxp - Validating XML parser
Review Request: ocaml-pxp - Validating XML parser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On: 240557 241472 241475
Blocks: 241487
  Show dependency treegraph
 
Reported: 2007-05-26 09:07 EDT by Richard W.M. Jones
Modified: 2008-03-02 06:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 06:09:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-05-26 09:07:12 EDT
Spec URL: http://annexia.org/tmp/ocaml-pxp.spec
SRPM URL: http://annexia.org/tmp/ocaml-pxp-1.2.0test1-1.src.rpm
Description: PXP is a validating XML parser library for OCaml.  Main site
 is: http://www.ocaml-programming.de/packages/ (scroll down a bit)
Comment 1 Xavier Lamien 2007-06-09 19:54:03 EDT
Added bug dependencies blocks which must be review first.
Comment 2 Richard W.M. Jones 2007-06-11 15:56:19 EDT
Upstream PXP haven't released a version which works with OCaml 3.10 yet.
Comment 3 Richard W.M. Jones 2007-09-13 12:04:20 EDT
Spec URL: http://annexia.org/tmp/ocaml/ocaml-pxp.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-pxp-1.2.0test1-2.src.rpm

* Thu Sep 13 2007 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-2
- Build on OCaml 3.10
- Disable building the preprocessor (requires old camlp4 or camlp5).
- License is BSD.
- Ignore Parsetree.
Comment 4 Xavier Lamien 2007-09-21 11:59:15 EDT
ok, 
I'll check this next week ;)
Comment 5 Giuseppe Castagna 2008-01-13 02:28:41 EST
Any progress on this bug?  It blocks bug #241487
Comment 6 Xavier Lamien 2008-01-15 16:50:20 EST
Build failed on rawhide.
Some packages are missing on this one :
---------------------------------
DEBUG util.py:261:  No Package Found for ocaml-ulex-devel
DEBUG util.py:261:  No Package Found for ocaml-findlib-devel
DEBUG util.py:261:  No Package Found for ocaml-ocamldoc
DEBUG util.py:261:  No Package Found for ocaml-ocamlnet-devel
DEBUG util.py:261:  No Package Found for ocaml
--------------------------------

And on f-8, this following is missing :
--------------------------------
DEBUG util.py:261:  No Package Found for ocaml-ocamlnet-devel
--------------------------------
Comment 7 Richard W.M. Jones 2008-01-16 07:41:47 EST
I built ocaml-ocamlnet for F8, but didn't get around to working out to
use Bodhi to actually push it into F8.  If you want to push it to F8 or
tell me how to do it please be my guest.

Nevertheless, I did build all of the above for devel so they should be
there.  I don't have a rawhide machine to test on right now, and
word on the street is that rawhide doesn't install at the moment.
Comment 8 Xavier Lamien 2008-01-17 10:33:18 EST
done.

Need some approval to be validate from bodhi to be pushed to stable.
And then, will re-do a koji build.
Comment 9 Richard W.M. Jones 2008-02-12 07:31:24 EST
There was also a missing BR on pcre-devel and ocaml-pcre-devel.  New version
fixes those:

Spec URL: http://annexia.org/tmp/ocaml/ocaml-pxp.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-pxp-1.2.0test1-4.fc8.src.rpm

* Tue Feb 12 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-4
- Added BR ocaml-pcre-devel, pcre-devel

* Thu Sep 13 2007 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-3
- ExcludeArch ppc64

NB. The remaining rpmlint warnings are all bogus because it doesn't
know that *.cmi and *.cma files are really binaries.
Comment 10 Xavier Lamien 2008-02-12 15:54:59 EST
hm...new release of Ocaml seem to be required.
http://koji.fedoraproject.org/koji/getfile?taskID=419865&name=build.log

Already built it on builders ?
Comment 11 Richard W.M. Jones 2008-02-15 14:00:42 EST
That was a missing BR (ocaml-camlp4-devel).

I have checked this with the new OCaml in Rawhide (3.10.1) and it builds,
so here we go ...

Spec URL: http://annexia.org/tmp/ocaml/ocaml-pxp.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-pxp-1.2.0test1-5.fc9.src.rpm
Comment 12 Richard W.M. Jones 2008-02-24 14:11:17 EST
My comment 9

  NB. The remaining rpmlint warnings are all bogus because it doesn't
  know that *.cmi and *.cma files are really binaries.

is wrong, but it's not a problem in the package.  See bug 433783.
Comment 13 Xavier Lamien 2008-03-01 12:57:00 EST
Okay,

Build of ocaml-pxp-1.2.0test1-5.fc9.src.rpm successed.
-> http://koji.fedoraproject.org/koji/taskinfo?taskID=482389

The rpmlint output can be ignored regarding to the OCaml Packaging Guideline.

============
* APPROVED *
============
Comment 14 Richard W.M. Jones 2008-03-01 13:40:20 EST
New Package CVS Request
=======================
Package Name: ocaml-pxp
Short Description: Validating XML parser
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 15 Kevin Fenzi 2008-03-01 21:39:29 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.